GDB (xrefs)

Public Member Functions | Private Member Functions | Private Attributes | List of all members
refcounted_object Class Reference

`#include "refcounted-object.h"`

Inheritance diagram for refcounted_object:

## Public Member Functions
| refcounted_object ()=default
void | incref ()
void | decref ()
int | refcount () const

## Private Member Functions
| DISABLE_COPY_AND_ASSIGN (refcounted_object)

## Private Attributes
int | m_refcount = 0

## Detailed Description

Definition at line 26 of file refcounted-object.h.

## Constructor & Destructor Documentation

## ◆ refcounted_object()

refcounted_object::refcounted_object | ( |  | ) |
| default

## Member Function Documentation

## ◆ decref()

void refcounted_object::decref | ( |  | ) |
| inline

Definition at line 39 of file refcounted-object.h.

References gdb_assert, and m_refcount.

Referenced by release_stop_context_cleanup(), set_current_inferior(), and scoped_restore_current_thread::~scoped_restore_current_thread().

## ◆ DISABLE_COPY_AND_ASSIGN()

refcounted_object::DISABLE_COPY_AND_ASSIGN | ( | refcounted_object |  | ) |
| private

## ◆ incref()

void refcounted_object::incref | ( |  | ) |
| inline

Definition at line 32 of file refcounted-object.h.

References gdb_assert, and m_refcount.

Referenced by initialize_inferiors(), save_stop_context(), and scoped_restore_current_thread::scoped_restore_current_thread().

## ◆ refcount()

int refcounted_object::refcount | ( |  | ) | const
| inline

Definition at line 45 of file refcounted-object.h.

References m_refcount.

Referenced by thread_info::deletable(), and inferior::deletable().

## Member Data Documentation

## ◆ m_refcount

int refcounted_object::m_refcount = 0
| private

Definition at line 51 of file refcounted-object.h.

Referenced by decref(), incref(), and refcount().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/common/refcounted-object.h